package com.netmera.netmera_flutter_sdk;

import com.netmera.NetmeraCategoryFilter;

import io.flutter.plugin.common.MethodCall;

/**
 * Copyright (c) 2019 Inomera Research.
 *
 * @author Burak Soykal
 */
class FNetmeraCategoryFilter {

    static NetmeraCategoryFilter getInboxObject(MethodCall call) {
        NetmeraCategoryFilter.Builder builder = new NetmeraCategoryFilter.Builder();

        int status = call.argument("status");
        int pageSize = call.argument("pageSize");
        boolean includeExpiredObjects = call.argument("includeExpiredObjects");

        builder.status(status)
                .pageSize(pageSize)
                .includeExpiredObjects(includeExpiredObjects);

        return builder.build();
    }
}
