/**
 * Copyright (c) 2019 Inomera Research.
 * @author Burak Soykal
 */

#import "FNetmeraInboxFilter.h"

@implementation FNetmeraInboxFilter

+(NetmeraInboxFilter*) getInboxObject: (FlutterMethodCall*) call {
    NetmeraInboxFilter *filter = [[NetmeraInboxFilter alloc] init];
    NSDictionary* inboxDictionary = call.arguments;
    
    if(inboxDictionary[@"status"]){
        NetmeraInboxStatus netmeraInboxStatus =[inboxDictionary[@"status"] integerValue];
        filter.status = netmeraInboxStatus;
    }
    
    if(inboxDictionary[@"pageSize"]){
        filter.pageSize = [inboxDictionary[@"pageSize"] intValue];
    }
    
    if(inboxDictionary[@"includeExpiredObjects"]){
        filter.shouldIncludeExpiredObjects = [inboxDictionary[@"includeExpiredObjects"] boolValue];
    }
    
    if(inboxDictionary[@"categories"]){
        filter.categories = inboxDictionary[@"categories"];
    }
    return filter;
}

@end
