///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NMInboxStatusCountFilter {
  NMInboxStatusCountFilter();

  int? _status;
  List<int>? _categoryList;
  bool? _includeExpired;

  int? getStatus() => _status;

  setStatus(int value) {
    _status = value;
  }

  List<int>? getCategoryList() => _categoryList;

  setCategoryList(List<int> value) {
    _categoryList = value;
  }

  bool? getIncludeExpired() => _includeExpired;

  setIncludeExpired(bool value) {
    _includeExpired = value;
  }

  Map<String, Object?> toJson() {
    Map<String, Object?> map = Map();
    if (_categoryList != null) {
      map['categoryList'] = _categoryList;
    }
    if (_status != null) {
      map['status'] = _status;
    }
    if (_includeExpired != null) {
      map['includeExpired'] = _includeExpired;
    }
    return map;
  }
}
