class NetmeraInteractiveAction {
  String? _id;
  String? _actionIconName;
  String? _actionTitle;
  Map<dynamic, dynamic>? _action;
  Map<dynamic, dynamic>? _customJson;

  String? getId() => _id;

  setId(String id) {
    _id = id;
  }

  String? getActionIconName() => _actionIconName;

  setActionIconName(String actionIconName) {
    _actionIconName = actionIconName;
  }

  String? getActionTitle() => _actionTitle;

  setActionTitle(String actionTitle) {
    _actionTitle = actionTitle;
  }

  Map<dynamic, dynamic>? getCustomJson() => _customJson;

  setCustomJson(Map<dynamic, dynamic> customJson) {
    _customJson = customJson;
  }

  Map<dynamic, dynamic>? getAction() => _action;

  setAction(Map<dynamic, dynamic> action) {
    _action = action;
  }

  NetmeraInteractiveAction.fromJson(Map<dynamic, dynamic> json)
      : _id = json['id'],
        _actionIconName = json['ain'],
        _actionTitle = json['text'],
        _action = json['act'],
        _customJson = json['prms'];

  Map<String, dynamic> toJson() => {'id': _id, 'ain': _actionIconName, 'text': _actionTitle, 'act': _action, 'prms': _customJson};
}
