import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventCategoryView extends NetmeraEvent {
  @override
  getCode() => "n:cv";

  String? _id;
  String? _name;

  String? getId() => _id;

  setId(String value) {
    _id = value;
  }

  String? getName() => _name;

  setName(String value) {
    _name = value;
  }

  @override
  Map<String, Object?> toJson() {
    Map<String, Object?> map = super.toJson();
    map['ga'] = _id;
    map['ef'] = _name;
    return map;
  }
}
