import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventSearch extends NetmeraEvent {
  @override
  getCode() => "n:sr";

  String? _query;
  int? _resultCount;

  String? getQuery() => _query;

  setQuery(String value) {
    _query = value;
  }

  int? getResultCount() => _resultCount;

  setResultCount(int value) {
    _resultCount = value;
  }

  @override
  Map<String, Object?> toJson() {
    Map<String, Object?> map = super.toJson();
    map['en'] = _query;
    map['ec'] = _resultCount;
    return map;
  }
}
